# Open Source License Attribution

This application uses Open Source components. You can find the source
code of their open source projects along with license information below.
We acknowledge and are grateful to these developers for their contributions
to open source.

### [FHIR-TO-OMOP ETL Process](https://www.toolpool-gesundheitsforschung.de/produkte/fhir-omop-etl-prozess)

by [Henke](https://orcid.org/0000-0002-5002-2676) and [Peng](https://orcid.org/0000-0002-6163-9532) et. al is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)

Ressource: [https://gitlab.ukdd.de/pub/etl/fhir-to-omop](https://gitlab.ukdd.de/pub/etl/fhir-to-omop)

For detailed information and contacts see [Wiki](https://gitlab.ukdd.de/pub/etl/fhir-to-omop/-/wikis/home).

References:

**Henke** E, Peng Y, Reinecke I, Zoch M, Sedlmayr M, Bathelt F, An Extract-Transform-Load Process Design for the Incremental Loading of German Real-World Data Based on FHIR and OMOP CDM: Algorithm Development and Validation JMIR Med Inform 2023;11:e47310. [doi:10.2196/47310](https://medinform.jmir.org/2023/1/e47310)

**Peng** Y, Henke E, Reinecke I, Zoch M, Sedlmayr M, Bathelt F, An ETL-process design for data harmonization to participate in international research with German real-world data based on FHIR and OMOP CDM,
International Journal of Medical Informatics, Volume 169, 2023, 104925, ISSN 1386-5056. [doi:10.1016/j.ijmedinf.2022.104925](https://doi.org/10.1016/j.ijmedinf.2022.104925)

### [OHDSI techstack](https://gitlab.ukdd.de/pub/ohdsi/techstack)

by [Gruhl]() et. al is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)

Ressource: [https://gitlab.ukdd.de/pub/ohdsi/techstack](https://gitlab.ukdd.de/pub/ohdsi/techstack)

Reference:

**Gruhl**, M., Reinecke, I., & Sedlmayr, M. (2020). Specification and Distribution of Vocabularies Among Consortial Partners. Studies in health technology and informatics, 270, 1393–1394. [10.3233/SHTI200458](https://doi.org/10.3233/SHTI200458)


### [OHDSI/CommonDataModel](https://ohdsi.github.io/CommonDataModel/)

by [OHDSI Community](https://github.com/OHDSI/CommonDataModel/) is licensed under [CC BY 4.0 License](https://creativecommons.org/licenses/by/4.0/)

### [OHDSI/ACHILLES](https://ohdsi.org/software-tools/)

by [OHDSI community](https://ohdsi.org) is licensed under [Apache License 2.0](https://github.com/OHDSI/Achilles)

### [OHDSI/ATLAS](https://ohdsi.org/software-tools/)

by [OHDSI community](https://ohdsi.org) is licensed under [Apache License 2.0](https://github.com/OHDSI/Atlas/blob/master/LICENSE)

### [OHDSI/DQD Data Quality Dashboard](https://ohdsi.org/software-tools/)

by [OHDSI community](https://ohdsi.org) is licensed under [Apache License 2.0](https://github.com/OHDSI/DataQualityDashboard/blob/main/LICENSE)

### [OHDSI/WebAPI](https://ohdsi.org/software-tools/)

by [OHDSI community](https://ohdsi.org) is licensed under [Apache License 2.0](https://github.com/OHDSI/WebAPI/blob/master/LICENSE)

### [OHDSI/ATHENA](https://ohdsi.org/software-tools/)

by [OHDSI community](https://ohdsi.org) is licensed under [CC BY 4.0 License](https://creativecommons.org/licenses/by/4.0/)

### [PostgreSQL](https://www.postgresql.org/)

by [PostgreSQL community](https://www.postgres.ca) is licensed under [PostgreSQL Licence](https://www.postgresql.org/about/licence/)

### [docker/compose](https://docs.docker.com/compose/)

by [Docker inc.](https://www.docker.com/company/) is licensed under [Apache Licence 2.0](https://github.com/docker/compose/blob/main/LICENSE)