[Overview](../README.md)

# Dependencies and Requirements

## Hard Dependencies

Note
The OMOP instance requires 100 GB of free disk space during initialization. After initialization, the OMOP-DB requires at least 20 GB of memory.

The FHIR-TO-OMOP Install Package depends on the [ResearchData-TO-FHIR Package](https://gitlab.ukdd.de/pub/mihubx/researchdata-to-fhir-install-pkg) and its network. Trying to run this project without the ResearchData-TO-FHIR Package will result in errors.

DWH-To-FHIR is a component of the [ResearchData-TO-FHIR Package](https://gitlab.ukdd.de/pub/mihubx/researchdata-to-fhir-install-pkg). There is a dependency between DWH-To-FHIR and [fhir-to-omop](https://gitlab.ukdd.de/pub/etl/fhir-to-omop) in how the source data is prepared and finally entered into the OMOP DB. For these processes to work together without errors, it is important that the versions of both are compatible with each other. Currently, the versions are hard coded in docker-compose.yml.

## Soft Dependencies
This installation package combines [fhir-to-omop](https://gitlab.ukdd.de/pub/etl/fhir-to-omop) and [ohdsi-omop-v5](https://gitlab.ukdd.de/pub/ohdsi) with each other. Therefore there is a thematic, but not necessarily functional dependency to them. 
This means this installation package contains `fhir-to-omop (v 1.23.0)` and `ohdsi-omop-v5 (v 3.4.2)` and works in this configuration. Changes to both won't affect the functionality of the installation. Nevertheless, it is advisable to incorporate changes promptly.

## Requirements
As this installation package is a combination of different packages, please check the requirements for each package on the corresponding page (see Support and Sources in the [Readme.md](https://gitlab.ukdd.de/pub/mihubx/fhir-to-omop-install-package))