[Overview](../README.md)

# Troubleshooting
In case of any occuring problems due to the installation process, please try and check these options:
### Check Running Containers
```
docker ps -a
```
Depending on your project's name these containers should be in runnung state

`project-name-atlas1`, `project-name-wepapi1`, `project-name-omopdb1`, `project-name-blaze1`, `project-name-rdrtofhir1`, `project-name-rdr1` 

and these in exit state

`project-name-ohdsi-germany1`, `project-name-start-achilles1`, `project-name-init-omopdb1`

If one service is missing, please restart the installation process and delete the running containers.

### Check Process
To see the output of the containers during installation you can use 
```
docker compose up
```
without the -d flag. This allows you to trace the error or see which container generated it. If you contact someone from support, please include the error message you get.

When this command is called, the expected behavior is that the `achilles` and `ohdsi-germany` containers are terminated (status exit 0 in the log) and webapi continues to write to the log the whole time.

![Exited Containers](../imgs/exited_containers.png)


### Check Data in Atlas
If the omopdb contains data but visualizations are displayed in the Atlas interface, the Achilles service may need to be restarted. To do this, restart the Achilles container (see [Update results via Achilles](https://gitlab.ukdd.de/pub/ohdsi/techstack#step-5-update-results-via-achilles))

### Check Data in Database
If no data is displayed in Atlas, you can use a tool such as pgadmin [see AddOns](https://gitlab.ukdd.de/pub/mihubx/addons-install-pkg) to check whether data is present in the `omopdb`. To do this, use the username and password that you defined in the configuration file.


## Support and Sources
If you have any questions or recommendations please contact [M. Cigdem Klengel](mailto:cigdem.klengel@ukdd.de), [Katja Hoffmann](mailto:katja.hoffmann@ukdd.de) or [Igor Nesterow](mailto:igor.nesterow@ukdd.de).

[Troubleshooting](docs/TROUBLESHOOTING.md)

This installation package is just an aggregation of different installation packages. In case of technical problems, please contact the maintainers of the sub-packages directly:
- [RDR-TO-FHIR](https://gitlab.ukdd.de/pub/mihubx/researchdata-to-fhir-install-pkg)
- [fhir-to-omop](https://gitlab.ukdd.de/pub/etl/fhir-to-omop)
- [ohdsi-omop-v5](https://gitlab.ukdd.de/pub/ohdsi)